[Intel 8260/8265] Bluetooth peripherals work for a few seconds, then don't react

Bug #1729389 reported by Jeppe Bundsgaard on 2017-11-01
148
This bug affects 28 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
High
Unassigned
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
linux-firmware (Ubuntu)
High
Seth Forshee
Xenial
High
Seth Forshee
Artful
High
Seth Forshee

Bug Description

SRU Justification

Impact: Bluetooth peripherals work initially but stop working shortly with Linux 4.13.

Fix: Updated firmware from Intel containing a fix for the issue.

Regression Potential: Any firmware updates may bring regressions, however this is a bug fix update and therefore regression potential is expected to be minimal.

---

After upgrading from Ubuntu Gnome 17.04 to Ubuntu 17.10, bluetooth mouse and keyboard connects, works for a few seconds, then doesn't react.

Bluetooth package version: 5.46-0ubuntu3 500

Please tell me which log-files to upload.

Thanks
---
ApportVersion: 2.20.7-0ubuntu3.1
Architecture: amd64
CurrentDesktop: GNOME
DistroRelease: Ubuntu 17.10
InstallationDate: Installed on 2016-06-11 (509 days ago)
InstallationMedia: Ubuntu-GNOME 16.04 LTS "Xenial Xerus" - Release amd64 (20160421)
InterestingModules: rfcomm bnep btusb bluetooth
Lsusb:
 Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
 Bus 001 Device 006: ID 04b4:5210 Cypress Semiconductor Corp.
 Bus 001 Device 005: ID 8087:0a2b Intel Corp.
 Bus 001 Device 002: ID 13d3:5664 IMC Networks
 Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
MachineType: LENOVO 80MK
Package: bluez 5.46-0ubuntu3
PackageArchitecture: amd64
ProcEnviron:
 TERM=xterm-256color
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=da_DK.UTF-8
 SHELL=/bin/bash
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-4.13.0-16-generic root=UUID=ed8fbe48-3db5-4a77-ab34-f35fd1a481cc ro quiet splash vt.handoff=7
ProcVersionSignature: Ubuntu 4.13.0-16.19-generic 4.13.4
Tags: artful wayland-session
Uname: Linux 4.13.0-16-generic x86_64
UpgradeStatus: Upgraded to artful on 2017-10-23 (11 days ago)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
_MarkForUpload: True
dmi.bios.date: 03/01/2016
dmi.bios.vendor: LENOVO
dmi.bios.version: C6CN37WW
dmi.board.asset.tag: NO Asset Tag
dmi.board.name: VIUU4
dmi.board.vendor: LENOVO
dmi.board.version: SDK0J40709 WIN
dmi.chassis.asset.tag: NO Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Lenovo YOGA 900-13ISK
dmi.modalias: dmi:bvnLENOVO:bvrC6CN37WW:bd03/01/2016:svnLENOVO:pn80MK:pvrLenovoYOGA900-13ISK:rvnLENOVO:rnVIUU4:rvrSDK0J40709WIN:cvnLENOVO:ct10:cvrLenovoYOGA900-13ISK:
dmi.product.family: IDEAPAD
dmi.product.name: 80MK
dmi.product.version: Lenovo YOGA 900-13ISK
dmi.sys.vendor: LENOVO
hciconfig:
 hci0: Type: Primary Bus: USB
  BD Address: A4:34:D9:9A:CD:FF ACL MTU: 1021:4 SCO MTU: 96:6
  UP RUNNING PSCAN ISCAN INQUIRY
  RX bytes:71005 acl:1028 sco:0 events:2920 errors:0
  TX bytes:601922 acl:36 sco:0 commands:2468 errors:0

Daniel van Vugt (vanvugt) wrote :

Please run 'apport-collect 1729389' on the affected machine to help us gather more information.

affects: gnome-bluetooth (Ubuntu) → bluez (Ubuntu)
Changed in bluez (Ubuntu):
status: New → Incomplete

apport information

tags: added: apport-collected artful wayland-session
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

Changed in bluez (Ubuntu):
status: Incomplete → New

Thanks.

It seems the firmware updater can't reach your devices any more after a few seconds:

nov 03 08:04:54 username-YOGA fwupd[1972]: failed to open: failed to ping Bluetooth Travel Mouse: failed to send: failed to write: wrote 0 of 7
nov 03 08:04:58 username-YOGA kernel: hid-generic 0005:046D:B309.0007: unknown main item tag 0x0
nov 03 08:04:58 username-YOGA upowerd[1075]: treating change event as add on /sys/devices/pci0000:00/0000:00:14.0/usb1/1-7/1-7:1.0/bluetooth/hci0/hci0:256/0005:046D:B309.0007/power_supply/hid-00:07:61:f7:66:65-battery
nov 03 08:04:59 username-YOGA fwupd[1972]: failed to open: failed to ping diNovo Edge: failed to send: failed to write: wrote 0 of 7

Please try disabling fwupd first, then reconnect the devices after:

   sudo systemctl stop fwupd.service

if that works then maybe keep it disabled:

   sudo systemctl disable fwupd.service

Changed in bluez (Ubuntu):
status: New → Incomplete
Jeppe Bundsgaard (jeppe) wrote :

This didn't make any difference. It seems like the mouse works for longer time, if I don't connect the keyboard. It also seems like the mouse stops working when I change the active window (which sounds strange, I agree). I can switch bluetooth off and on, and then the mouse works again.

Daniel van Vugt (vanvugt) wrote :

OK, it sounds like this might be a kernel regression. Please try downgrading to kernel 4.10 or earlier:

  http://kernel.ubuntu.com/~kernel-ppa/mainline/?C=N;O=D

and then select it at boot time.

Kernel 4.10 is what Ubuntu 17.04 had where you said it was working.

PJSingh5000 (pjsingh5000) wrote :

See if the following provides a workaround...

$ sudo gedit /etc/modprobe.d/iwlwifi.conf

# Add to the end:
    - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
    options iwlwifi bt_coex_active=0
    - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

# Restart

This was suggsted on the following RedHat bug report:
https://bugzilla.redhat.com/show_bug.cgi?id=1500407

affects: bluez (Fedora) → linux (Fedora)
affects: bluez (Ubuntu) → linux (Ubuntu)
no longer affects: linux (Fedora)
Jeppe Bundsgaard (jeppe) wrote :

I booted into Ubuntu with kernel 4.10.0-37 (the one I used in 17.04), and that made my mouse work.
I had problems with my trackpad as well, and that was solved with the downgrade as well. Maybe the two problems are connected?
See https://bugs.launchpad.net/bugs/1729391

But strangely enough, the keyboard still acts strangely.

sudo evtest, choosing keyboard, gives
Testing ... (interrupt to exit)
Waits for some time, and then from time to time gives:
Event: time 1510147826.272174, >>>>>>>>>>>>>> SYN_DROPPED <<<<<<<<<<<<
Event: time 1510147826.272174, -------------- SYN_REPORT ------------
Event: time 1510147826.272183, type 2 (EV_REL), code 0 (REL_X), value 59
Event: time 1510147826.272183, type 2 (EV_REL), code 1 (REL_Y), value -7
Event: time 1510147826.272183, -------------- SYN_REPORT ------------
Event: time 1510147990.111070, type 2 (EV_REL), code 0 (REL_X), value -3

Jeppe Bundsgaard (jeppe) wrote :

Just installed and loaded into 4.11.0, and now both mouse and keyboard works. The bug is introduced later than 4.11.0, then.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.14 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.14

Changed in linux (Ubuntu):
importance: Undecided → Medium
importance: Medium → High
tags: added: kernel-da-key
tags: added: needs-bisect
Joseph Salisbury (jsalisbury) wrote :

If v4.14 fixes the bug, can you give the latest upstream 4.13 kernel a test, which is:
http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.13.12/

PJSingh5000 (pjsingh5000) wrote :

Hummm... doesn't look good...

Before installing 4.13.12, I reverted the change in comment #17.

$ uname -r
4.13.12-041312-generic

I see these errors in the logs:

    bluetoothhd : Failed to add UUID: Not Powered (0x0f)

...and...

    Bluetooth: hci0 command 0x0c52 tx timeout

Also, bluetooth is turned off in the gnome-shell topbar. If I try to open go to Blue Tooth settings from the gnome shell top bar, I get an error that system settings can not be opened; I have an option to Force Quit or Wait. Wait doesn't produce results.

$ rfkill list
0: phy0: Wireless LAN
 Soft blocked: no
 Hard blocked: no
1: hci0: Bluetooth
 Soft blocked: yes
 Hard blocked: no

Going into directly system settings first, and then selecting Bluetooth from the left panel shows that Bluetooth is turned off. If I activate it, nothing shows up in the list of devices. If I navigate away from this in System Settings, and return, again Bluetooth shows as deactivated, but rfkill list does show that it is no longer soft blocked.

PJSingh5000 (pjsingh5000) wrote :

If I implement the work-around in comment #17 and use kernel 4.13.12, my bluetooth mouse connects automatically when I reboot.

Unfortunately, the work-around seems to still be required for kernel 4.13.12.

Let me know if there is anything else I can do to help?

Jeppe Bundsgaard (jeppe) wrote :

Kernel 4.14.0 fixes the problem.

tags: added: kernel-fixed-upstream
Jeppe Bundsgaard (jeppe) wrote :

Also works in 4.13.12.

PJSingh5000 (pjsingh5000) wrote :

With 14.14, it only worked for a few seconds and then stopped.

$ uname -r
4.14.0-041400-generic

Here are some error messages from the logs that may help...

hid-generic 0005:03F0:084C.0006: unknown main item tag 0x0
+hid:0005:03F0:084C.0006

bluetoothd
Can't get HIDP connection info

hid-sensor-hub 001F:8086:22D8.0001: timeout waiting for response from ISHTP device
+hid:001F:8086:22D8.0001

bluetoothd
Failed to add UUID: Invalid Index (0x11)

wpa_supplicant
Could not read interface p2p-dev-wlo1 flags: No such device

wpa_supplicant
dbus: Failed to construct signal

Bluetooth: hci0 command 0x0c52 tx timeout

ACPI Error: Method parse/execution failed \_SB.WMID.WMAA, AE_AML_BUFFER_LIMIT (20170728/psparse-550)

ACPI Error: Field [D128] at bit offset/length 128/1024 exceeds size of target Buffer (160 bits) (20170728/dsopcode-235)

PJSingh5000 (pjsingh5000) wrote :

Oops, I meant to write "4.14" (not "14.14")

Kai-Heng Feng (kaihengfeng) wrote :

Please find the last working and first non-working kernel from http://kernel.ubuntu.com/~kernel-ppa/mainline/

You only need to test mainline release, you can ignore version number that has two points.

PJSingh5000 (pjsingh5000) wrote :

So far, not working with 4.14, 4.13, 4.12.

With each kernel, I see the messages:

    Bluetooth: hci0 command 0x0c52 tx timeout
    Bluetooth: hci0 command 0x0c24 tx timeout

I will continue to test older versions and report back.

PJSingh5000 (pjsingh5000) wrote :

Correction...

Kernel 4.12 is working (I had inadvertently selected the wrong kernel on the Grub screen during my last test).

    $ uname -r
    4.12.0-041200-generic

I will continue to test 4.12 to see if the Bluetooth mouse unexpectedly disconnects.

PJSingh5000 (pjsingh5000) wrote :

Here are the results:

WORKING: 4.12.0-041200-generic
NOT WORKING: 4.13.0-16-generic

PJSingh5000 (pjsingh5000) wrote :
PJSingh5000 (pjsingh5000) wrote :
Sandor Kiss (skiss) wrote :

My Lenovo also has this issue, but PJSingh5000's workaround in post#17 (https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1729389/comments/17) worked for me.

Sioux (kouber) wrote :

My HP Spectre also had this issue after upgrade to Kubuntu 17.10, but the workaround in post #17 worked for me too.

Zakatell Kanda (zakatellkanda) wrote :

Hello,

This bug has been fix mainline,
- https://bugzilla.kernel.org/show_bug.cgi?id=197147
- https://bugzilla.kernel.org/show_bug.cgi?id=197807

We just need the Ubuntu team to upgrade to the latest linux-firmware.

Cheers!

Runar Ingebrigtsen (ringe) wrote :

This is a problem on my Dell XPS 13 with Ubuntu 17.10 as well.
I upgraded from the supported 16.04 LTS that it came with and my peripherals are dropping out on me.

Good to hear it's getting fixed.

Changed in linux-firmware (Ubuntu):
importance: Undecided → High
Michael (mickare) wrote :

Hey,

how long will it take the Ubuntu team to upgrade to the latest firmware?

I experience deadlocks when I do any Bluetooth related action. It even freezes system shutdowns!
This bug-fix has a very high importance for me.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux-firmware (Ubuntu):
status: New → Confirmed
Seth Forshee (sforshee) on 2017-12-12
Changed in linux-firmware (Ubuntu):
assignee: nobody → Seth Forshee (sforshee)
status: Confirmed → Fix Committed
Changed in linux-firmware (Ubuntu Xenial):
assignee: nobody → Seth Forshee (sforshee)
status: New → Fix Committed
importance: Undecided → High
Changed in linux-firmware (Ubuntu Artful):
assignee: nobody → Seth Forshee (sforshee)
importance: Undecided → High
status: New → Fix Committed
Seth Forshee (sforshee) on 2017-12-12
description: updated
Zakatell Kanda (zakatellkanda) wrote :

Thanks for the update, I rebuild the package with the new commits, can confirm that this solves the issue.

Cheers!

Hello Jeppe, or anyone else affected,

Accepted linux-firmware into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.169.2 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Timo Aaltonen (tjaalton) wrote :

Hello Jeppe, or anyone else affected,

Accepted linux-firmware into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/linux-firmware/1.157.15 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Sorry for not having provided an update - I have been away from my mouse and keyboard for some time.
It has been working fine with linux 4.13.12-041312-generic for a few days.
Now, I have downloaded and installed the linux-firmware 1.169.2 - I'll see how the mouse and keyboard reacts when I am back home.

Michael (mickare) wrote :

Fixed for me.

Tested version: http://de.archive.ubuntu.com/ubuntu artful-proposed/main amd64 linux-firmware all 1.169.2

It finally stays connected with my bluetooth device. Also there is no freeze when I open the bluetooth settings, nor when I block/unblock via rfkill. Also I did not experience any deadlock yet while shutdown.

I will keep that version, until it is official released. If there is any complication I will report back.

Thanks for the good work.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in linux (Ubuntu Artful):
status: New → Confirmed
Changed in linux (Ubuntu Xenial):
status: New → Confirmed
Cubic PPA (cubic-wizard) wrote :

Looking forward to this fix. Do we know when linux-firmware version 1.169.2 will be in the Ubuntu repositories?

Seth Forshee (sforshee) on 2017-12-19
tags: added: verification-done-artful
Jeppe Bundsgaard (jeppe) wrote :

Fixed for me - mouse and keyboard works flawlessly now.
Thanks!

Matthew Senn (matthew-senn) wrote :

I have been having issues since my "new" laptop (Dell Latitude E5470) arrived in April 2017. I blamed it on being a refurb and being too lazy to call and have it replaced during the warranty period. I checked the box to enable the pre-release updates, installed said updates and haven't had an issue in almost two days -- i couldn't make it two minutes prior. I sure missed my BT keyboard and mouse!

Seth Forshee (sforshee) wrote :

Are there any xenial users affected by this bug that can verify the -proposed package (see comment #42)?

summary: - Bluetooth mouse and keyboard connects, works for a few seconds, then
- doesn't react
+ [Intel 8260/8265] Bluetooth mouse and keyboard connects, works for a few
+ seconds, then doesn't react
summary: - [Intel 8260/8265] Bluetooth mouse and keyboard connects, works for a few
- seconds, then doesn't react
+ [Intel 8260/8265] Bluetooth peripherals work for a few seconds, then
+ don't react
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.169.2

---------------
linux-firmware (1.169.2) artful; urgency=medium

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <email address hidden> Tue, 12 Dec 2017 08:16:01 -0600

Changed in linux-firmware (Ubuntu Artful):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for linux-firmware has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Rolf Kutz (vzsze) wrote :

The version from comment 42 fixes the problem for me on Xenial.

Tested version: linux-firmware:all/xenial-proposed 1.157.15

Seth Forshee (sforshee) on 2018-01-22
tags: added: verification-done-xenial
Chris J Arges (arges) on 2018-01-24
Changed in linux-firmware (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-firmware - 1.157.15

---------------
linux-firmware (1.157.15) xenial; urgency=medium

  * QCA6174A XR cannot find any WiFi AP (LP: #1728523)
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin
    - ath10k: QCA6174 hw3.0: update board-2.bin

  * Intel 9260/9462/9560 firmware support (LP: #1734243)
    - iwlwifi: add firmware version 33 for new 9000 series
    - linux-firmware: Add firmware file for Intel Bluetooth 9560
    - linux-firmware: Add firmware file for Intel Bluetooth 9260

  * Bluetooth mouse and keyboard connects, works for a few seconds, then
    doesn't react (LP: #1729389)
    - linux-firmware: Update firmware patch for Intel Bluetooth,8260
    - linux-firmware: Update firmware file for Intel Bluetooth 8265
    - linux-firmware: Update firmware patch for Intel Bluetooth 8260

 -- Seth Forshee <email address hidden> Tue, 12 Dec 2017 08:26:17 -0600

Changed in linux-firmware (Ubuntu Xenial):
status: Fix Committed → Fix Released
Drew Rosoff (drew-rosoff) wrote :

I had previously worked around this problem using the solution in comment #17. Now I just upgraded to linux-firmware 1.157.15, as I saw it in my Ubuntu Xenial updates and it referenced fixing this bug. I therefore removed the workaround in comment #17 and rebooted. The problem returned immediately (I tried multiple reboots and reconnects). Bluetooth still disconnects after a period of time if wifi is also connected. I had to reinstate the workaround in comment #17 again to have a working mouse, even with the new linux-firmware update. I am using Ubuntu 16.04 kernel 4.13.0-31.

PJSingh5000 (pjsingh5000) wrote :

I am running artful 17.10.1 with linux-firmware version 1.169.2.

I am assuming that version 1.169.2 also has the fix??
In any case, it does not work.

Also, the work-around (Comment #17) no longer works for me.

$ uname -r
    4.13.0-32-generic

$ lsb_release --all
    No LSB modules are available.
    Distributor ID: Ubuntu
    Description: Ubuntu 17.10
    Release: 17.10
    Codename: artful

PJSingh5000 (pjsingh5000) wrote :

My bluetooth mouse is connected now, but I had to follow a special process...

WHAT WORKS:

I had to turn OFF my wireless, make sure bluetooth was ON, and then connect/pair the mouse.
After the bluetooth mouse connected successfully, I was able to turn wi-fi ON again.

Now, my mouse automatically connects a few seconds after logging in.

It has not disconnected for the brief time I have used it, but I will post back if I notice any new issues.

WHAT DOESN'T WORK:

* I found that the previous work-around in comment #17 no longer works.
* I found that newer kernels did not work either.

NOTES ON KERNELS:

I tested mainline kernels 4.14.9 thru 4.14.15. All of these newer kernels produce the following error message during installation: "Error! Bad return status for module build on kernel". (Note: this is most likely because I have the Nvidia proprietary drivers version 384.111 installed).

However, kernel 4.14.8 installs just fine. But this did not fix the bluetooth problem, until performed the above procedure.

OTHER THINGS I TRIED:

I did execute "sudo bluetoothctl", and I tried to "trust" and "pair" my mouse from the command line, prior to performing the "wi-fi-off/wi-fi-on" process. However, I do not think "bluetoothctl" helped.

Justin Ferguson (jferg) wrote :

I can confirm that I am still running into this problem with kernel 4.13.0-32-generic and linux-firmware 1.169.2.

Running `rfkill block bluetooth; rfkill unblock bluetooth` gets my mouse working again until I put the laptop to sleep, at which point it works for some period of time after wake but then stops again. (Usually 30 seconds to a minute.) The sort of weird part is that I don't actually see any relevant messages in dmesg at the time when it stops working.

Is there further information I can provide to help troubleshoot?

Daniel van Vugt (vanvugt) wrote :

This bug is effectively closed, rightly or wrongly. So unless you're the original reporter (Jeppe Bundsgaard), please open a new bug using this command:

  ubuntu-bug linux

KEYofR (brian-aljex) wrote :

I have this on numerous 4.13 and 4.14 kernels from synaptic (17.10 repos) and ubuntu-mainline ppa.
IE today:
4.14.17-041417-generic #201802031230 SMP Sat Feb 3 17:31:50 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux

This is on a 5th get lenovo x1 carbon using the built-in bluetooth and a few different bt mice, IE HP and Verbatim.

The rfkill block/unblock commands above did nothing for me.

cpu is eating my battery and the only process is "kworker"

 2615 root 20 0 0 0 0 R 85.3 0.0 6:02.78 kworker/0:2
 3365 root 20 0 45376 3928 3260 R 0.3 0.0 0:00.04 top
    1 root 20 0 220176 8432 6316 S 0.0 0.1 0:02.59 systemd
    2 root 20 0 0 0 0 S 0.0 0.0 0:00.00 kthreadd
    4 root 0 -20 0 0 0 I 0.0 0.0 0:00.00 kworker/0:0H
    6 root 0 -20 0 0 0 I 0.0 0.0 0:00.00 mm_percpu_wq

powertop says...

The battery reports a discharge rate of 18.6 W
The estimated remaining time is 2 hours, 26 minutes

Summary: 655.9 wakeups/second, 0.0 GPU ops/seconds, 0.0 VFS ops/sec and 5.6% CPU use

                Usage Events/s Category Description
             80.0% Device Display backlight
              6.1 ms/s 256.3 Interrupt [9] acpi
             23.8 ms/s 233.4 kWork acpi_os_execute_deferred
              2.7 ms/s 67.4 Process /usr/lib/xorg/Xorg -core :0 -seat seat0 -auth /var/run/lightdm/root/:0 -nolis
              1.0 ms/s 25.4 Process lxterminal
            445.6 µs/s 13.9 Interrupt PS/2 Touchpad / Keyboard / Mouse
             42.0 µs/s 13.5 Process [xfsaild/nvme0n1]
            442.2 µs/s 12.2 Process lxpanel --profile Lubuntu
...

I have to reboot to clear it!

Daniel van Vugt (vanvugt) wrote :

@brian-aljex,

That sounds like a potentially unrelated bug. Please log a separate bug for that.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.